create_scene(3)

NAME
create_scene - Allocates memory for a 3d scene. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int create_scene(int nedge, int npoly);

DESCRIPTION
Allocates memory for a scene, `nedge' and `npoly' are your estimates of how many edges and how many polygons you will render (you cannot get over the limit specified here). If you use same values in successive calls, the space will be reused (no new malloc()). The memory allocated is a little less than 150 * (nedge + npoly) bytes.

RETURN VALUE
Returns zero on success, or a negative number if allocations fail.

SEE ALSO
scene_polygon3d(3), render_scene(3), clear_scene(3), destroy_scene(3), scene_gap(3), create_zbuffer(3), exscn3d(3)